summaryrefslogtreecommitdiff
path: root/bip-0327/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bip-0327/tests.sh')
-rwxr-xr-xbip-0327/tests.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/bip-0327/tests.sh b/bip-0327/tests.sh
new file mode 100755
index 0000000..b363f40
--- /dev/null
+++ b/bip-0327/tests.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+cd "$(dirname "$0")"
+mypy --no-error-summary reference.py
+python3 reference.py
+python3 gen_vectors_helper.py > /dev/null